package com.fastbee.rechargecard.service;


import com.fastbee.rechargecard.domain.NgMerchants;
import com.fastbee.rechargecard.domain.dto.NgMerchantsDto;

import java.util.List;

/**
 * 商户信息Service接口
 * 
 * @author kerwincui
 * @date 2024-12-27
 */
public interface INgMerchantsService 
{
    /**
     * 查询商户信息
     * 
     * @param id 商户信息主键
     * @return 商户信息
     */
    public NgMerchantsDto selectNgMerchantsById(Long id);

    /**
     * 查询商户信息列表
     * 
     * @param ngMerchants 商户信息
     * @return 商户信息集合
     */
    public List<NgMerchantsDto> selectNgMerchantsList(NgMerchants ngMerchants);

    /**
     * 新增商户信息
     * 
     * @param ngMerchants 商户信息
     * @return 结果
     */
    public int insertNgMerchants(NgMerchants ngMerchants);

    /**
     * 修改商户信息
     * 
     * @param ngMerchants 商户信息
     * @return 结果
     */
    public int updateNgMerchants(NgMerchants ngMerchants);

    /**
     * 批量删除商户信息
     * 
     * @param ids 需要删除的商户信息主键集合
     * @return 结果
     */
    public int deleteNgMerchantsByIds(Long[] ids);

    /**
     * 删除商户信息信息
     * 
     * @param id 商户信息主键
     * @return 结果
     */
    public int deleteNgMerchantsById(Long id);
}
